%define upstream_name UV
%define upstream_version 0.24

%{?perl_default_filter}

Name:      perl-%{upstream_name}
Summary:   Perl interface to libuv
Version:   %perl_convert_version %{upstream_version}
Release:   %mkrel 5
License:   BSD, ISC and GPLv2
Group:     Development/Perl
Url:       http://search.cpan.org/dist/%{upstream_name}/
Source0:   http://search.cpan.org/CPAN/authors/id/T/TY/TYPESTER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::TCP)
BuildRequires: perl-devel

%description
UV provides low-level interface to libuv, https://github.com/joyent/libuv,
platform layer for node.js.

Low-level means this module's functions maps to libuv functions directry.
C<uv_listen> maps to C<UV::listen>, C<uv_tcp_connect> to C<UV::tcp_connect>,
and so on.

%prep
%setup -n %{upstream_name}-%{upstream_version}
chmod -R u+w %{_builddir}/%{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make 


%install
%makeinstall_std

%files
%doc LICENSE README
%{perl_vendorarch}/UV.pm
%attr(0755,root,root) %{perl_vendorarch}/auto/UV/UV.so
%{_mandir}/man*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.240.0-5pclos2017
- rebuild against updates

